Skip to main content
POST
/
inboxes
/
{inboxId}
/
messages
cURL
curl -X POST 'https://api.nuntly.com/inboxes/ibx_01kabn43yqyxn2bx4ve84mczd3/messages' \
  -H 'Authorization: Bearer apk_xxx' \
  -H 'Content-Type: application/json' \
  -d '{"to":"brian67@gmail.com","subject":"Verify your email address","text":"Thank you for signing up! Please verify your email address.","html":"<h1>Welcome</h1><p>Thank you for signing up! Please verify your email address.</p>"}'
{
  "data": {
    "id": "<string>",
    "threadId": "<string>",
    "messageId": "<string>",
    "subject": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Use an API key from https://nuntly.com/dashboard/api-keys. Required on every endpoint.

Headers

Idempotency-Key
string

Unique key to ensure the request is processed at most once. UUIDv4 recommended.

Required string length: 1 - 255

Path Parameters

inboxId
string
required

Body

application/json
to
string[]
required

The recipient addresses.

Example:

"brian67@gmail.com"

subject
string
required

The message subject.

Example:

"Verify your email address"

cc
string[]

The CC addresses.

Example:

"carlo43@gmail.com"

bcc
string[]

The BCC addresses.

Example:

"archive@company.com"

text
string

The plain text body.

Example:

"Thank you for signing up! Please verify your email address."

html
string

The HTML body.

Example:

"<h1>Welcome</h1><p>Thank you for signing up! Please verify your email address.</p>"

Response

Request accepted.

data
object
required